Bug 1017252 - Coolkey removal doesn't unregister pkcs#11 module from pkcs11.txt file
Coolkey removal doesn't unregister pkcs#11 module from pkcs11.txt file
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: coolkey (Show other bugs)
7.0
All Linux
unspecified Severity low
: beta
: ---
Assigned To: Bob Relyea
Asha Akkiangady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 09:46 EDT by Hubert Kario
Modified: 2014-06-18 03:35 EDT (History)
1 user (show)

See Also:
Fixed In Version: coolkey-1.1.0-25.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:27:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hubert Kario 2013-10-09 09:46:51 EDT
Description of problem:
After removing the coolkey package from the system, the coolkey pkcs#11 module stays registered in the NSS /etc/pki/nssdb/pkcs11.txt file

Version-Release number of selected component (if applicable):
nss-3.15.1-2.el7.x86_64
coolkey-1.1.0-24.el7.x86_64
RHEL-7.0-20130912.0

How reproducible:
Always

Steps to Reproduce:
1. yum -y install coolkey
2. yum -y remove coolkey
3. grep coolkey /etc/pki/nssdb/pkcs11.txt

Actual results:
library=libcoolkeypk11.so

Expected results:
no coolkey in pkcs11.txt

Additional info:
Comment 1 Bob Relyea 2013-10-09 12:42:23 EDT
I need to pick up the RHEL 6.5 changes to coolkey which add sql: support for adding and removing coolkey into RHEL 7.0. Good catch Hubert.


bob
Comment 3 Roshni 2014-02-05 10:49:49 EST
Verified on coolkey-1.1.0-27.el7.x86_64
Comment 4 Ludek Smid 2014-06-13 07:27:22 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.